brltty (6.7-1ubuntu3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:59:25 +0000

brltty (6.7-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:29:54 +0100

brltty (6.7-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable (LP: #2089289). Remaining changes:
    + add brltty-setup
      - debian/brltty-setup
      - debian/brltty.install
      - debian/rules
    + add initramfs integration to run brltty-setup if necessary before
      plymouth starts
      - debian/initramfs/brltty.sh
      - debian/initramfs/hooks/brltty.in
      - debian/initramfs/scripts/init-premount/brltty
      - debian/initramfs/scripts/init-top/brltty
      - debian/brltty.install
      - debian/brltty.postinst
    + add udev rules file that uses brltty-udev.service to activate via
      systemd
      - debian/brltty-udev.service
      - debian/brltty.dirs
      - debian/brltty.udev.rules.patch
      - debian/rules
      - debian/clean
    + disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display
      - debian/rules
  * Disable generic devices 1A86:55D3 and 1A86:7523 (LP: #1958224)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 22 Nov 2024 10:10:12 +0100

brltty (6.7-1) unstable; urgency=medium

  * New upstream release.
    - patches/cython-3.0: Upstreamed.
    - patches/git-keyrange: Upstreamed
    - patches/git-base-none-quality: Upstreamed.
  * control: Bump debhelper version to get dh_movetousr.
  * rules: Drop usr/lib/pkgconfig from brltty-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Oct 2024 20:32:36 +0200

brltty (6.6-5ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:23 +0100

brltty (6.6-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + add brltty-setup
      - debian/brltty-setup
      - debian/brltty.install
      - debian/rules
    + add initramfs integration to run brltty-setup if necessary before
      plymouth starts
      - debian/initramfs/brltty.sh
      - debian/initramfs/hooks/brltty.in
      - debian/initramfs/scripts/init-premount/brltty
      - debian/initramfs/scripts/init-top/brltty
      - debian/brltty.install
      - debian/brltty.postinst
    + add udev rules file that uses brltty-udev.service to activate via
      systemd
      - debian/brltty-udev.service
      - debian/brltty.dirs
      - debian/brltty.udev.rules.patch
      - debian/rules
      - debian/clean
    + disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display
      - debian/rules
  * Dropped changes, no longer needed:
    - drop ubiquity integration, as ubiquity is now obsolete.
    - dropped versioned build-dependency on the dapper version of
      initramfs-tools; brltty does not depend on initramfs-tools being
      present, it merely integrates with it.
  * Drop reference to obsolete /var/run.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Jun 2024 19:23:50 -0700

brltty (6.6-5) unstable; urgency=medium

  * control: Replace pkg-config deps with pkgconf.
  * brltty.links: Drop /usr/sbin/brltty symlink (Closes: Bug#1064785).
  * rules: Also call dh_movetousr for the udeb.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Mar 2024 23:35:39 +0100

brltty (6.6-4+exp1) experimental; urgency=medium

  * rules: Call dh_movetousr before dh_installdeb to move files to /usr
    (Closes: Bug#1063524)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Feb 2024 22:42:48 +0100

brltty (6.6-4ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:24:15 +0000

brltty (6.6-4ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:05:38 +0000

brltty (6.6-4ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:58:09 +0000

brltty (6.6-4ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:05:14 +0100

brltty (6.6-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
  * Include further updates to brltty.udev.rules from brltty-udeb.udev.rules
    that were omitted in the previous release cycle due to timing.
    - devices with FTDI and Silicon Laboratories as a manufacturer remain
      disabled as these do not uniquely identify accessibility devices.
  * Re-enable udev rules for devices from Hedo Reha Technik GmbH, which is
    a maker of accessibility devices and therefore not a false positive
  * Move debian/brltty.udev.rules to a patch debian/brltty.udev.rules.patch
    against debian/brltty-udeb.udev.rules to be applied at build time and
    hard fail on any inconsistencies, to avoid future issues with missing
    updates to the Ubuntu-specific file

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 19 Nov 2023 04:08:14 -0800

brltty (6.6-4) unstable; urgency=high

  * patches/git-base-none-quality: Set quality to low or none for base and no
    screen drivers.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Sep 2023 00:11:56 +0200

brltty (6.6-3) unstable; urgency=high

  [ Peter Kvillegård ]
  * po/sv.po: Swedish translation of debconf messages (Closes: Bug#1050441).

  [ Samuel Thibault ]
  * patches/git-keyrange: Fix keyrange computation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Sep 2023 19:02:41 +0200

brltty (6.6-2) unstable; urgency=medium

  * rules: Also drop aclocal.m4 on clean (Closes: Bug#1043727).
  * patches/cython-3.0: Fix orca crash when BrlAPI is built with cython 3.0.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Aug 2023 16:33:12 +0200

brltty (6.6-1) unstable; urgency=medium

  * New upstream release.
    - patches/git-xbrlapi: Upstreamed.
    - patches/atspi2-routing-crash.patch: Upstreamed.
    - rules: Disable em and fv screen drivers in udeb.
    - brltty-udeb.udev.rules: Update with newer supported devices.
  * control, rules: Support hurd-amd64.
  * control: drop lsb-base dep.
  * control: replace libncursesw5-dev build-dep with libncurses-dev.
  * patches/git-xbrlapi: Fix ba+a2 load failure log flood.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Aug 2023 02:42:32 +0200

brltty (6.5-7ubuntu3) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:19:04 +0100

brltty (6.5-7ubuntu2) mantic; urgency=medium

  * Merge brltty.udev.rules from brltty-udeb.udev.rules.  This picks up only
    changes to comments, enablement of new device IDs that are from
    manufacturers that work specifically in Braille devices (HumanWare), and
    those changes that restrict existing matches on generic device IDs to
    reduce false-positives matches.  Additional changes should be merged for
    testing at the start of the next release cycle.  Thanks to
    Samuel Thibault for pointing this out (LP 1958224).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Oct 2023 16:58:06 -0700

brltty (6.5-7ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
      + debian/brltty.udev.rules: don't claim generic USB device IDs it leads
        to brltty grabbing serial ports which other devices like Arduinos
        boards can't use anymore

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 May 2023 08:32:55 -0700

brltty (6.5-7) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * po/ro.po: Add Romanian debconf translation (Closes: Bug#1031150).

  [ Samuel Thibault ]
  * patches/atspi2-routing-crash.patch: Fix crash on cursor routing call.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 06 Apr 2023 01:27:28 +0200

brltty (6.5-6) unstable; urgency=medium

  * initramfs/hooks/brltty.in: Copy over brltty preferences into initramfs.
  * po/it.po: Add Italian debconf translation (Closes: Bug#1024689).
  * po/pt_BR.po: Add Brazilian Portuguese translation (Closes: Bug#1025207).
  * control: Add polkitd as alternative to policykit-1 package
    (Closes: Bug#1025547).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Dec 2022 22:25:48 +0100

brltty (6.5-5ubuntu3) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:27:29 -0500

brltty (6.5-5ubuntu2) lunar; urgency=medium

  * Fix accidentally uploaded merge conflict

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 24 Nov 2022 09:55:15 -0600

brltty (6.5-5ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
      + debian/brltty.udev.rules: don't claim generic USB device IDs it leads
        to brltty grabbing serial ports which other devices like Arduinos
        boards can't use anymore

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 23 Nov 2022 16:22:13 +0000

brltty (6.5-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * {brltty,libbrlapi-dev}.lintian-overrides: Update suppressions.
  * debian/initramfs/scripts/init-premount/brltty: Make initrd-started brltty
    emit its pid into /run.
  * debian/brltty.service: Kill the initrd-started brltty before running the
    systemd-controlled brltty.

  [ Sébastien Hinderer ]
  * initramfs/hooks/brltty.in: Fix copy_exec call, it already includes
    $DESTDIR.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cython3 and tcl.
    + brltty: Drop versioned constraint on lsb-base in Depends.
    + brltty-x11: Drop versioned constraint on xbrlapi in Recommends.
    + brltty-x11: Drop versioned constraint on gnome-orca in Breaks.
    + xbrlapi: Drop versioned constraint on brltty-x11 in Replaces.
    + xbrlapi: Drop versioned constraint on brltty-x11 in Breaks.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Nov 2022 13:18:59 +0100

brltty (6.5-4) unstable; urgency=medium

  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * brltty.postinst: Call update-initramfs -u when START_IN_INITRAMFS is set
    (Closes: Bug#1019889)
  * control: Make cl-brlapi Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:01:50 +0200

brltty (6.5-3ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 15:39:30 +0000

brltty (6.5-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
      + debian/brltty.udev.rules: don't claim generic USB device IDs it leads
        to brltty grabbing serial ports which other devices like Arduinos
        boards can't use anymore

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2022 20:28:46 -0700

brltty (6.5-3) unstable; urgency=medium

  * debian/brltty-udeb.sh: Automatically shrink d-i width to 80 columns, as
    that is much more convenient on Braille devices.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Jun 2022 18:11:04 +0200

brltty (6.5-2) unstable; urgency=medium

  * rules: Disable hid package in udeb package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Jun 2022 10:00:49 +0200

brltty (6.5-1) unstable; urgency=medium

  * New upstream release.
    - patches/socket-permissions: Drop, fixed upstream.
    - patches/py310-sysconfig: Drop, merged upstream.
    - patches/paste-newlines: Drop, merged upstream.
    - patches/paste-firefox-lo: Drop, merged upstream.
    - control: Add python3-setuptools build-dep.
    - rules: Add dh_missing call.
    - not-installed: Ignore non-installation of hacking tools, brltty.pc, and
      internal headers.
    - brltty.install: Install polkit rules.d. Install brltty-atb, brltty-ktb,
      brltty-clip, brltty-hid, brltty-lscmds, brltty-morse, brltty-tune.
    - libbrlapi-jni.install: Simplify rule.
    - rules: Simplify installing messages.
    - brltty-udeb.udev.rules: Update udev rules.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jun 2022 18:59:43 +0200

brltty (6.4-6ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
      + debian/brltty.udev.rules: don't claim generic USB device IDs it leads
        to brltty grabbing serial ports which other devices like Arduinos
        boards can't use anymore, thanks Samuel Thibault (lp: #1958224)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 May 2022 16:01:05 +0200

brltty (6.4-6) unstable; urgency=medium

  * patches/paste-newlines: Fix pasting newlines in X with the brltty
    shortcut.
  * patches/paste-firefox-lo: Fix pasting into FireFox and LibreOffice.
  * debian/brltty-udeb.prebaseconfig: Use ':' in chown.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Apr 2022 00:24:23 +0200

brltty (6.4-5) unstable; urgency=medium

  * patches/py310-sysconfig: Fix build with python 3.10 (Closes: Bug#1007927)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Mar 2022 00:09:45 +0200

brltty (6.4-4) unstable; urgency=medium

  [ Camaleón ]
  * po/es.po: Spanish translation (Closes: Bug#1003516)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:21:00 +0100

brltty (6.4-3) unstable; urgency=medium

  [ Américo Monteiro ]
  * po/pt.po: Portuguese translation (Closes: Bug#1001919)

  [ Samuel Thibault ]
  * rules: Remove etc/brltty/Contraction/latex-access.ctb from brltty-udeb.
  * control: Remove libpcre3-dev build-dep, not actually used
    (Closes: Bug#1000046)
  * rules: Remove --without-viavoice, dropped in 6.0 release.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 20:13:40 +0100

brltty (6.4-2) unstable; urgency=medium

  * patches/socket-permissions: Fix BrlAPI socket permissions
    (Closes: Bug#995971)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Oct 2021 14:54:01 +0200

brltty (6.4-1) unstable; urgency=medium

  * New upstream release.
  * po/nl.po: Add French translation (Closes: Bug#994985)
  * po/de.po: Add German translation (Closes: Bug#995105)
  * brltty.lintian-overrides: Note that we already recommend python3 for
    brltty.
  * control: Make python3-all-dev build-dep :any.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 Oct 2021 01:27:30 +0200

brltty (6.4~pre-1) experimental; urgency=medium

  * New upstream snapshot.
    - patches/41-java-bytecode-compat.patch: Refresh.
    - rules: Disable liblouis support in udeb.
    - brltty-udeb.udev.rules: Update udev rules.
  * gbp.conf: Use filter to clean upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Aug 2021 11:43:58 +0200

brltty (6.3+dfsg-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/11-python-ldflags.patch: Drop patch, fixed in distutils.
  * po/nl.po: Add Dutch translation (Closes: Bug#994142)

  [ Gregory Nowak ]
  * brltty.init: Make it wait for $local_fs, like the systemd service does.
    (Closes: Bug#994729)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Sep 2021 23:26:29 +0200

brltty (6.3+dfsg-3) unstable; urgency=medium

  * brltty-udeb.prebaseconfig: Enable screen reader in Cinnamon
    (Closes: Bug#992169).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Aug 2021 14:55:23 +0200

brltty (6.3+dfsg-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Allow one to build without the udeb package (Closes: Bug#983323)

  [ Jonathan Hettwer ]
  * Add a proper d-i menu title to brltty-udeb
  * Add po-debconf translation infrastructure

  [ John Paul Adrian Glaubitz ]
  * control, rules: Enable java support on m68k (Closes: Bug#986053)

  [ Adrian Bunk ]
  * rules: on ia64, pass -static-libgcc in LDFLAGS of the udeb build
    (Closes: Bug#986743)

  [ Samuel Thibault ]
  * control: Make brltty suggest unicode-cldr-core to get emoji pronounciations.
  * control: Drop autoconf build-dep, now pulled by debhelper.
  * control: Explicitly add libx11-dev and libxt-dev, that autoconf explicitly
    tests for.
  * control: Replace libgpmg1-dev build-dep with libgpm-dev.
  * control: Explicitly build-depend on gettext.
  * control: Set Rules-Requires-Root to no.
  * rules: Drop ddeb-migration rules, now useless.
  * debian/brltty-udeb.sh: Also kill the main menu and debconf, otherwise the
    graphical versions remain behind and fill logs.
  * rules: Make Python bindings build verbose.
  * patches/11-python-ldflags.patch: Manually pass CFLAGS/LDFLAGS from
    environment to setup.py.
  * rules: Call debconf-updatepo in clean rule.
  * po/templates.pot: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Aug 2021 22:57:39 +0200

brltty (6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/lock-fixes: Upstreamed.
    - patches/40-no-update-pot.patch: Refresh.
  * rules: Fix manpage date reproducibility by setting TZ to UTC.
  * brltty.manpages: Explicit list of manpages.
  * xbrlapi.manpages: Install manpage from installed path.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2021 17:45:12 +0100

brltty (6.2+dfsg-2) unstable; urgency=high

  * rules: Fix passing hardening flags to udeb build.
  * patches/lock-fixes: Fix some locking issues.
  * control: Make brltty pre-depend on ${misc:Pre-Depends} to get
    --skip-systemd-native.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Jan 2021 01:53:04 +0100

brltty (6.2+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/atspi2-invalid-unicode: upstreamed.
    - patches/link: upstreamed.
    - patches/polkit: upstreamed.
    - brltty.examples: Update Upstart example file name.

  * Bump debhelper compat from 11 to 12.

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 23 Dec 2020 18:24:57 +0100

brltty (6.2~pre.2+dfsg-3) experimental; urgency=medium

  * patches/atspi2-invalid-unicode: Also reject negative unicode characters.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Dec 2020 20:45:15 +0100

brltty (6.2~pre.2+dfsg-2) experimental; urgency=medium

  * patches/atspi2-invalid-unicode: Avoid letting atspi2 return invalid
    unicode characters.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2020 11:39:28 +0100

brltty (6.2~pre.2+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - patches/no-clone-newipc: Upstreamed.
    - patches/link: Fix link.
    - patches/polkit: Fix installing polkit action.
    - rules: run make install-polkit.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 20:59:56 +0100

brltty (6.2~pre+dfsg-2) experimental; urgency=medium

  * patches/no-clone-newipc: Upstream fix for espeak access to alsa.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Nov 2020 22:43:02 +0100

brltty (6.2~pre+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - control: Add libcap-dev build-dep on linux.
    - patches/a2_cut: Upstreamed.
    - patches/a2_x11_crash: Upstreamed.
    - patches/a2_xsel_flush: Upstreamed.
    - patches/python-writeDots: Upstreamed.
    - patches/python3: Upstreamed.
    - patches/sd_session_get_vt: Upstreamed.
    - patches/xbrlapi-install: Upstreamed.
    - patches/xbrlapi-path: Upstreamed.
    - patches/xbrlapi-root-unknown: Upstreamed.
    - patches/41-java-bytecode-compat.patch: Bump to java 8 compatibility.
    - debian/brltty.examples: Fix udev rules examples paths.
    - debian/brltty-udeb.udev.rules: Update udev rules.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Nov 2020 22:49:34 +0100

brltty (6.1+dfsg-3) unstable; urgency=medium

  * patches/a2_xsel_flush: New patch to fix clipboard management.
  * patches/xbrlapi-path: Fix path to xbrlapi program.
  * patches/a2_x11_crash: Fix a2 crash on cursor routing.
  * patches/a2_cut: Fix clipboard management when running a2 screen driver
    without the BrlAPI server.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Nov 2020 18:03:54 +0100

brltty (6.1+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * Remove 3 unused lintian overrides.

  * debian/xbrlapi.maintscript: Remove old 60xbrlapi script.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Oct 2020 17:54:16 +0200

brltty (6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libbrlapi0.7 package to libbrlapi0.8 according to soname bump.
    - brltty-udeb.udev.rules: Update with new driver support.
    - patches/50-constants.patch: Upstreamed.
    - patches/java-jni: Upstreamed.
    - patches/python3: Refresh.
    - patches/python-verbose: Upstreamed.
    - patches/log-spam: Upstreamed.
    - control: Add libxfixes-dev build-dep.
    - patches/xbrlapi-install: New patch, fixes installing 90xbrlapi from
    out-of-source builds.
    - brltty.examples: Install systemd wrapper example too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 23:44:34 +0200

brltty (6.0+dfsg-6) unstable; urgency=medium

  * brltty-udeb.udev.rules: Merge with upstream's rules file, to make updating
    much easier.
  * brltty-udeb.udev.sh: Add -E option for udev script to make brltty detect
    exactly the right device.
  * README.source: Document the dfsg tarball modifications.
  * patches/sd_session_get_vt: Automatically get VT nr from logind.
  * control: Update alioth list domain.
  * patches/python-writeDots: Fix python's writeDots binding.
  * patches/xbrlapi-root-unknown: do not print the root window name.
  * brltty-udeb.start: Add missing +x perm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 02:10:29 +0200

brltty (6.0+dfsg-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * patches/python-verbose: Make python bindings build verbose when V=1 is set.
  * patches/log-spam: Avoid spamming log with recent Orca which tries to
    reconnect periodically.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name (from ./configure).
  * Update standards version to 4.4.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Mar 2020 00:14:42 +0100

brltty (6.0+dfsg-4) unstable; urgency=medium

  * patches/python3: Make latex-access.ctb use python3. Make configure look
    for cython3 too.
  * patches/10-python.patch: Use python3's python.mk
  * control: Recommend python3 instead of python.
  * control: Build-depend on cython3 instead of cython (Closes: Bug#945627)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:39:33 +0100

brltty (6.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Oct 2019 19:26:20 +0200

brltty (6.0+dfsg-2) experimental; urgency=medium

  * control,rules: Re-enable java on riscv64 (Closes: Bug#933711)
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Drop X-Python3-Version 3.2.
  * sources/options: Remove now-useless compression option.
  * source/lintian-overrides: Silence some warnings.
  * brltty.{pre,post}{inst,rm}: Remove old upgrade fixes.
  * libbrlapi-dev.lintian-overrides: Silence warnings.
  * rules: Remove non-working jquery files.
  * control: Build-depend on cython (>= 0.28.4).
  * brltty.lintian-overrides: Remove package-contains-empty-directory
    lib/brltty/rw/, dropped upstream.
  * control: Remove autotools-dev build-dep, now useless.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2019 21:24:22 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libbrlapi0.8`.
